EntryParser.RESOURCETYPE
Date: 2016-02-09

org.gcube.informationsystem.collector.impl.utils

## Enum EntryParser.RESOURCETYPE

- java.lang.Object
- - java.lang.Enum<EntryParser.RESOURCETYPE>
  - - org.gcube.informationsystem.collector.impl.utils.EntryParser.RESOURCETYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EntryParser.RESOURCETYPE>
  Enclosing class:
    EntryParser

      public static enum EntryParser.RESOURCETYPE
      extends java.lang.Enum<EntryParser.RESOURCETYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Profile`
    `Properties`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntryParser.RESOURCETYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EntryParser.RESOURCETYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Profile

          public static final EntryParser.RESOURCETYPE Profile

    - #### Properties

          public static final EntryParser.RESOURCETYPE Properties

  - ### Method Detail

    - #### values

          public static EntryParser.RESOURCETYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntryParser.RESOURCETYPE c : EntryParser.RESOURCETYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntryParser.RESOURCETYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null